Subject: bug#20479: advertised-calling-convention and doc of built-in functions

From: Glenn Morris <[email-masked]>
Date: Thu, 30 Apr 2015 21:15:30 -0400

Package: emacs
Version: 25.0.50

  emacs-lisp/ert.el:272:27:Warning: indirect-function called with 2
  arguments, but accepts only 1

C-h f indirect-function
(indirect-function OBJECT &optional NOERROR)

I guess subr.el's

(set-advertised-calling-convention 'indirect-function '(object) "25.1")

doesn't affect the doc-string of built-ins (like it does with
non-builtins, eg report-emacs-bug), only the compilation warning.
I think that's pretty confusing. I don't know how you figure out what's
going on without grepping the source.

Also, there's no NEWS entry for this indirect-function argument change,
so it seems likely that no-one will make the corresponding updates to
the elisp manual.